=== debian/changelog ===
libowfat (0.30-3) unstable; urgency=medium

  * QA upload.
  * Fix FTBFS with GCC-10. (Closes: #957462)
  * Orphan the package. (See: #813097)
  * Update Standards-Version to 4.5.0
  * Use debhelper-compat.
    - Update compat level to 13.
  * Mark Vcs to salsa.
  * Add symbols file.
  * Remove whitespace from control and changelog.
  * Remove duplicate section.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 30 Apr 2020 21:42:48 +0100

libowfat (0.30-2) unstable; urgency=medium

  * Fix /usr/include/entities.h file conflict with libgd-dev
    (Closes: #812418)

 -- Roland Stigge <stigge@antcom.de>  Mon, 25 Jan 2016 10:35:16 +0100

libowfat (0.30-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Standards-Version: 3.9.6

 -- Roland Stigge <stigge@antcom.de>  Sun, 17 Jan 2016 14:30:47 +0100
