=== debian/control ===
Source: libowfat
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.0
Build-Depends: dietlibc-dev, dietlibc-dev (>= 0.32-5) [sparc], debhelper-compat (= 13)
Homepage: http://www.fefe.de/libowfat/
Vcs-Git: https://salsa.debian.org/debian/libowfat.git
Vcs-Browser: https://salsa.debian.org/debian/libowfat

Package: libowfat0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reimplementation of libdjb, shared library
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains the shared library linked against glibc.  The library is
 also available for use with the diet libc (see libowfat-dietlibc-dev).

Package: libowfat-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libowfat0 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdjbdns1-dev, libudt-dev, libcdb-dev
Description: Reimplementation of libdjb, development files
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains libowfat linked with glibc, and man pages.

Package: libowfat-dietlibc-dev
Section: libdevel
Architecture: any
Depends: dietlibc-dev, ${misc:Depends}
Conflicts: libdjbdns1-dev
Breaks: libowfat-dev (<< 0.28-3)
Replaces: libowfat-dev (<< 0.28-3)
Description: Reimplementation of libdjb, dietlibc version
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, mkfifo, opendir, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains libowfat linked with dietlibc.
