=== debian/watch ===
version=3
http://www.fefe.de/libowfat/ http://dl.fefe.de/libowfat-(.*)\.tar\.bz2
