## libowfat 0.32

=== Makefile ===
--- 
+++ 
@@ -14,21 +14,38 @@
 buffer.a mmap.a taia.a tai.a dns.a case.a mult.a array.a io.a \
 textcode.a cdb.a critbit.a
 
-all: ent $(LIBS) libowfat.a libsocket t
+all: headers ent $(LIBS) libowfat.a libsocket t
+
+pic pie:
+	$(MAKE) CC="gcc -fPIC" LDFLAGS="-fpie"
 
 CROSS=
 #CROSS=i686-mingw-
-CC=$(CROSS)gcc
-CFLAGS=-pipe -W -Wall -Wextra -O2 -fomit-frame-pointer
+CC?=gcc
+CCC=$(CROSS)$(CC)
+WERROR=
+WARN=-W -Wall -Wextra $(WERROR)
+
+# Use the second version if you are building for a binary that is only
+# supposed to run on this machine. It tells gcc to use CPU instructions
+# that are specific to the CPU the code is compiled on.
+NATIVE=
+#NATIVE=-march=native -mtune=native
+
+OPT_REG=-O2
+OPT_PLUS=-O3 $(NATIVE)
+
+DEFINE=-D_REENTRANT
+
+CFLAGS=-pipe $(WARN) $(DEFINE) $(OPT_REG)
+CFLAGS_OPT=-pipe $(WARN) $(DEFINE) $(OPT_PLUS)
+
 #CFLAGS=-pipe -Os -march=pentiumpro -mcpu=pentiumpro -fomit-frame-pointer -fschedule-insns2 -Wall
 
 ent: ent.c haveuint128.h
-	gcc -g -o ent ent.c -I.
+	$(CC) -g -o ent ent.c -I.
 
 # CFLAGS += -fstrict-aliasing -Wstrict-aliasing=2
-
-WERROR=
-CFLAGS += -D_REENTRANT $(WERROR)
 
 array_allocate.o: array/array_allocate.c likely.h safemult.h uint16.h \
  uint32.h uint64.h array.h byte.h
@@ -88,7 +105,7 @@
 buffer_mmapread.o: buffer/buffer_mmapread.c buffer.h mmap.h
 buffer_munmap.o: buffer/buffer_munmap.c buffer.h
 buffer_peek.o: buffer/buffer_peek.c buffer.h
-buffer_put.o: buffer/buffer_put.c byte.h buffer.h
+buffer_put.o: buffer/buffer_put.c buffer.h
 buffer_put8long.o: buffer/buffer_put8long.c buffer.h fmt.h byte.h
 buffer_putalign.o: buffer/buffer_putalign.c byte.h buffer.h
 buffer_puterror.o: buffer/buffer_puterror.c buffer.h
@@ -132,7 +149,7 @@
 case_lowerb.o: case/case_lowerb.c case.h
 case_lowers.o: case/case_lowers.c case.h
 case_starts.o: case/case_starts.c case.h
-cdb.o: cdb/cdb.c byte.h cdb.h uint32.h uint64.h
+cdb.o: cdb/cdb.c byte.h cdb.h uint32.h uint64.h havepread.h
 cdb_hash.o: cdb/cdb_hash.c cdb.h uint32.h uint64.h
 cdb_make.o: cdb/cdb_make.c cdb.h uint32.h uint64.h cdb_make.h buffer.h
 cdb_traverse.o: cdb/cdb_traverse.c cdb.h uint32.h uint64.h
@@ -198,10 +215,27 @@
 fmt_httpdate.o: fmt/fmt_httpdate.c fmt.h byte.h byte.h
 fmt_human.o: fmt/fmt_human.c fmt.h byte.h
 fmt_humank.o: fmt/fmt_humank.c fmt.h byte.h
+fmt_iso8601.o: fmt/fmt_iso8601.c fmt.h byte.h byte.h
 fmt_long.o: fmt/fmt_long.c fmt.h byte.h
 fmt_longlong.o: fmt/fmt_longlong.c fmt.h byte.h
 fmt_minus.o: fmt/fmt_minus.c fmt.h byte.h
+fmt_netstring.o: fmt/fmt_netstring.c fmt.h byte.h rangecheck.h
 fmt_pad.o: fmt/fmt_pad.c fmt.h byte.h
+fmt_pb_double.o: fmt/fmt_pb_double.c fmt.h byte.h
+fmt_pb_float.o: fmt/fmt_pb_float.c fmt.h byte.h
+fmt_pb_int.o: fmt/fmt_pb_int.c fmt.h byte.h
+fmt_pb_sint.o: fmt/fmt_pb_sint.c fmt.h byte.h
+fmt_pb_string.o: fmt/fmt_pb_string.c fmt.h byte.h rangecheck.h
+fmt_pb_tag.o: fmt/fmt_pb_tag.c fmt.h byte.h
+fmt_pb_type0_sint.o: fmt/fmt_pb_type0_sint.c fmt.h byte.h
+fmt_pb_type1_double.o: fmt/fmt_pb_type1_double.c fmt.h byte.h \
+ compiletimeassert.h
+fmt_pb_type1_fixed64.o: fmt/fmt_pb_type1_fixed64.c fmt.h byte.h uint64.h
+fmt_pb_type2_string.o: fmt/fmt_pb_type2_string.c fmt.h byte.h \
+ rangecheck.h
+fmt_pb_type5_fixed32.o: fmt/fmt_pb_type5_fixed32.c fmt.h byte.h uint32.h
+fmt_pb_type5_float.o: fmt/fmt_pb_type5_float.c fmt.h byte.h \
+ compiletimeassert.h
 fmt_plusminus.o: fmt/fmt_plusminus.c fmt.h byte.h
 fmt_str.o: fmt/fmt_str.c fmt.h byte.h
 fmt_strm_internal.o: fmt/fmt_strm_internal.c fmt.h byte.h
@@ -211,31 +245,7 @@
 fmt_ulong0.o: fmt/fmt_ulong0.c fmt.h byte.h
 fmt_ulonglong.o: fmt/fmt_ulonglong.c fmt.h byte.h
 fmt_utf8.o: fmt/fmt_utf8.c fmt.h byte.h
+fmt_varint.o: fmt/fmt_varint.c fmt.h byte.h
 fmt_xlong.o: fmt/fmt_xlong.c fmt.h byte.h haveinline.h
 fmt_xlonglong.o: fmt/fmt_xlonglong.c fmt.h byte.h
 fmt_xmlescape.o: fmt/fmt_xmlescape.c fmt.h byte.h
-io_appendfile.o: io/io_appendfile.c io_internal.h io.h uint64.h taia.h \
- tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_block.o: io/io_block.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_canread.o: io/io_canread.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_canwrite.o: io/io_canwrite.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_check.o: io/io_check.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_close.o: io/io_close.c io_internal.h io.h uint64.h taia.h tai.h \
- uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_closeonexec.o: io/io_closeonexec.c io_internal.h io.h uint64.h taia.h \
- tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_createfile.o: io/io_createfile.c io_internal.h io.h uint64.h taia.h \
- tai.h uint32.h array.h iarray.h haveepoll.h havekqueue.h havedevpoll.h \
- havesigio.h
-io_debugstring.o: io/io_debugstring.c io_internal.h io.h uint64.h taia.h \
