=== debian/changelog ===
libowfat (0.32-5) unstable; urgency=medium

  * QA upload
  * Remove mkfifo and opendir from description (Closes: #932446)
  * Adopt dpkg-build-api
  * Clean additional files (Closes: #1045772)
  * Move headers to their own namespace (Closes: #1045772)

  [ Helmut Grohne ]
  * cross.patch: Use CCC for linking
  * Pass CCC to make (Closes: #1034006)

 -- Bastian Germann <bage@debian.org>  Fri, 05 Apr 2024 15:36:02 +0200

libowfat (0.32-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062562

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 16:10:53 +0000

libowfat (0.32-4) unstable; urgency=high

  * QA upload
  * Prevent identifiers from conflicting with glibc (Closes: #1017157)
  * Drop unused package libowfat-dietlibc-dev (simplifies build)

 -- Bastian Germann <bage@debian.org>  Thu, 10 Nov 2022 16:32:49 +0100

libowfat (0.32-3) unstable; urgency=medium

  * Make sure that libowfat/ is created before ln'ing headers: 2nd try

 -- Bastian Germann <bage@debian.org>  Thu, 14 Jul 2022 22:48:25 +0200

libowfat (0.32-2) unstable; urgency=medium

  * QA upload.
  * Make sure that libowfat/ is created before ln'ing headers

 -- Bastian Germann <bage@debian.org>  Fri, 01 Jul 2022 23:36:12 +0200

libowfat (0.32-1) unstable; urgency=medium

  * QA upload
  * d/watch: Scan for .xz
  * New upstream version 0.32 (Closes: #962502)
  * d/copyright: Convert to machine-readable format
  * Compile with dietlibc only on supported archs (Closes: #977577)
  * Rebase patches on new version
  * Add new multi def patch

 -- Bastian Germann <bage@debian.org>  Wed, 29 Jun 2022 18:00:35 +0200

libowfat (0.30-4) unstable; urgency=medium

  * QA upload.

  [ Debian Janitor ]
  * Update watch file format version to 4.
  * Use secure URI in Homepage field.
  * Update standards version to 4.5.1, no changes needed.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dietlibc-dev.
    + libowfat-dietlibc-dev: Drop versioned constraint on libowfat-dev in
      Replaces.
    + libowfat-dietlibc-dev: Drop versioned constraint on libowfat-dev in
      Breaks.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 27 May 2022 14:55:48 +0100
