=== debian/control ===
Source: libowfat
Section: libs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Standards-Version: 4.5.1
Build-Depends: dpkg-build-api (= 1), dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
Homepage: https://www.fefe.de/libowfat/
Vcs-Git: https://salsa.debian.org/debian/libowfat.git
Vcs-Browser: https://salsa.debian.org/debian/libowfat

Package: libowfat0t64
Provides: ${t64:Provides}
Replaces: libowfat0
Breaks: libowfat0 (<< ${source:Version})
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Reimplementation of libdjb, shared library
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.

Package: libowfat-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libowfat0t64 (= ${binary:Version}), ${misc:Depends}
Conflicts: libdjbdns1-dev, libudt-dev, libcdb-dev
Description: Reimplementation of libdjb, development files
 This library is a reimplementation of libdjb, which means that it provides
 Daniel Bernstein's interfaces (with some extensions).
 .
 It contains wrappers around memory allocation, buffered I/O, routines for
 formatting and scanning, a full DNS resolver, several socket routines,
 wrappers for socket functions, wait, and an abstraction
 around errno.  It also includes wrappers for Unix signal functions and a
 layer of mmap and sendfile.
 .
 This package contains the libowfat development files and man pages.
