=== debian/watch ===
version=4
http://www.fefe.de/libowfat/ libowfat-@ANY_VERSION@\.tar\.xz
