## libowfat 0.34

=== debian/changelog ===
libowfat (0.34-2) unstable; urgency=medium

  * Simplify Makefile patch to build shared library
  * Pass LDFLAGS to linker
  * Use hardening=+all
  * Disable failing unittests during build

 -- Agathe Porte <gagath@debian.org>  Sat, 04 Oct 2025 15:35:59 +0200

libowfat (0.34-1) unstable; urgency=medium

  * Adopt package (Closes: #813097)
  * New upstream version 0.34 (Closes: #1097241)
  * Update d/watch format to version 5
  * Add Build-Depends-Package in libowfat0t64.symbols
  * Drop unused package-name-doesnt-match-sonames lintian override
  * Update Standards-Version to 4.7.2 (no changes needed)
  * Install examples in libowfat-dev

 -- Agathe Porte <gagath@debian.org>  Fri, 03 Oct 2025 17:53:46 +0200
