=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: libowfat
 Section: libs
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Standards-Version: 4.5.1
+Maintainer: Agathe Porte <gagath@debian.org>
+Standards-Version: 4.7.2
 Build-Depends: dpkg-build-api (= 1), dpkg-dev (>= 1.22.5), debhelper-compat (= 13),
 Homepage: https://www.fefe.de/libowfat/
 Vcs-Git: https://salsa.debian.org/debian/libowfat.git
