=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

CFLAGS += -I.

# Upstream GNUmakefile completely ignores the existence of CPPFLAGS. Directly
# pass them into CFLAGS instead.
CFLAGS += $(CPPFLAGS)

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -f $(CURDIR)/GNUmakefile CCC=$(CC) CFLAGS="$(CFLAGS) -fPIC" CFLAGS_OPT="$(CFLAGS)" DIET='' libowfat.so
	$(MAKE) -f $(CURDIR)/GNUmakefile clean
	$(MAKE) -f $(CURDIR)/GNUmakefile CCC=$(CC) CFLAGS_OPT="$(CFLAGS)" DIET=''
	rm entities.h

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_auto_install:

# Buggy upstream tests on anything different than amd64
override_dh_auto_test:
