=== debian/watch ===
Version: 5
Source: http://www.fefe.de/libowfat/
Matching-Pattern: libowfat-@ANY_VERSION@@ARCHIVE_EXT@
